LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;
USE IEEE.STD_LOGIC_ARITH.ALL;

ENTITY t1667 IS
	PORT(
		clk: in std_logic;
		sortida: out std_logic
	);

END t1667;

ARCHITECTURE arch_tim OF t1667 IS

	signal contador: integer range 0 to 2500;
	
BEGIN
	process(clk)
	begin
		if rising_edge(clk) then
			if contador < 1250 then
				contador <= contador + 1 ;
				sortida <= '1';		-- solo dura el periodo del clock pequeo pero se supone que 
									-- se detecta el flanco de subida, tb se podria alargar.
			elsif contador < 2500 then
				contador <= contador + 1;
				sortida <= '0';
			else contador <= 0;
			end if;
		end if;
	end process;
end arch_tim;
