LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;
USE IEEE.STD_LOGIC_ARITH.ALL;

ENTITY t2 IS
	PORT(
		clk_p : in std_logic;
		clk : out std_logic
	);

END t2;

ARCHITECTURE arch_tim OF t2 IS

	signal contador: integer range 0 to 1;
	
BEGIN
-- La velocidad a la que trabaja el protocolo USB en full-speed son 12 Mbs como el clock de la placa es de 24 MHz 
-- se debe dividir el numero de clocks a la mitad, si en cada periodo del clk_p se cambia el seal en clk se genera 
-- el medio periodo a nivel alto o a nivel bajo.
	process(clk_p)
	begin
		if rising_edge(clk_p) then
			if contador = 0 then
				contador <= 1;
				clk <= '1';		
			else contador <= 0;
				clk <= '0';
			end if;
		end if;
	end process;
end arch_tim;
